org.apache.storm.trident.spout

## Interface ICommitterTridentSpout<X>

- All Superinterfaces:
    ITridentDataSource, ITridentSpout<X>, Serializable
  All Known Implementing Classes:
    FeederCommitterBatchSpout, OpaquePartitionedTridentSpoutExecutor

      public interface ICommitterTridentSpout<X>
      extends ITridentSpout<X>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ICommitterTridentSpout.Emitter`

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.spout.ITridentSpout

      `ITridentSpout.BatchCoordinator<X>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICommitterTridentSpout.Emitter` | `getEmitter(String txStateId, Map<String,Object> conf, TopologyContext context)` The emitter for a TransactionalSpout runs as many tasks across the cluster.

    - ### Methods inherited from interface org.apache.storm.trident.spout.ITridentSpout

      `getComponentConfiguration, getCoordinator, getOutputFields`

- - ### Method Detail

    - #### getEmitter

          ICommitterTridentSpout.Emitter getEmitter(String txStateId,
                                                    Map<String,Object> conf,
                                                    TopologyContext context)

      Description copied from interface: `ITridentSpout`

      The emitter for a TransactionalSpout runs as many tasks across the cluster. Emitters are responsible for emitting batches of tuples for a transaction and must ensure that the same batch of tuples is always emitted for the same transaction id.

      All emitter tasks get the same transaction metadata. The topology context parameter contains the instance task id that can be used to distribute the work across the tasks.

      Specified by:
        `getEmitter` in interface `ITridentSpout<X>`
      Parameters:
        `txStateId` - stream id
        `conf` - Storm config map
        `context` - topology context
      Returns:
        spout emitter

Copyright © 2019 The Apache Software Foundation. All rights reserved.